function point(actor::Actor, x, y)
    #'''让角色面向指定的坐标'''
        #界限角，在坐标轴的角度
        #println(x)
        if x == actor.x
            a = (y > actor.y ? 180 : 0)            
        elseif y == actor.y
            a = (x > actor.x ? 270 : 90)
        else
            #象限角
            R = rad2deg(atan(abs(x - actor.x) / abs(y - actor.y)))
            #println(R)
            #测量学上的方位角
            if x > actor.x && y > actor.y
                a = R
            elseif x > actor.x && y < actor.y
                a = 180 - R
            elseif x < actor.x && y < actor.y
                a = 180 + R
            elseif x < actor.x && y > actor.y
                a = 360 - R
            end
        end
        #println(a)
        #数学上的方位角
        actor.angle = -(a -90)
end
function left(actor::Actor, rotation)
#'''左转一个角度'''
    actor.angle -=rotation
end

function right(actor::Actor, rotation)
#'''右转一个角度'''
    actor.angle += rotation
end

function move(actor::Actor, distance)
    #'''移动一个距离'''
    #println(actor.angle)
    actor.x+= distance * cosd(actor.angle)
    actor.y+= distance * sind(actor.angle)
end